# $Revision: 1.37 $, $Date: 2004/12/10 11:58:46 $
Summary:	Samhain data integrity / intrusion detection system
Summary(pl):	System kontroli integralnoci danych i wykrywania intruzw Samhain
Name:		samhain
Version:	2.0.2
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://la-samhna.de/samhain/%{name}_signed-%{version}.tar.gz
# Source0-md5:	d7a5604a7cba939bf9c683784f501d0e
Source1:	%{name}.init
Source2:	%{name}rc
#Patch0:		%{name}-DESTDIR.patch
Patch0:		%{name}-configure.patch
URL:		http://www.la-samhna.de/samhain/
Requires(post,preun):	/sbin/chkconfig
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't strip by system strip
%define		no_install_post_strip	1
#%%define 	_use_internal_dependency_generator 0

%description
Samhain works by creating a "snapshot" of your system, i.e. a database
of cryptographic checksums of all critical files, and comparing these
files regularly against this database.

%description -l pl
Samhain dziaa tworzc "obraz" twojego systemu, tj. baz danych sum
kontrolnych wszystkich krytycznych plikw, a nastpnie regularnie
porwnuje te pliki z baz.

%prep
%setup -qc
tar xzf %{name}-%{version}.tar.gz -C ..
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--enable-login-watch \
	--enable-mounts-check \
	--enable-ptrace \
	--enable-suidcheck

%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT%{_var}/lib/%{name} \
	$RPM_BUILD_ROOT%{_localstatedir}/log \

%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__make} install-man DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT%{_localstatedir}/log/samhain_log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
else
	echo "Run \"%{_sbindir}/samhain -t init\" to initialize database if not initialized."
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(750,root,bin) %{_sbindir}/samhain
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/samhainrc
%attr(700,root,root) %dir %{_var}/lib/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %ghost %{_localstatedir}/log/samhain_log
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: samhain.spec,v $
Revision 1.37  2004/12/10 11:58:46  ankry
- rel. 2

Revision 1.36  2004/12/10 11:51:19  krolik
- fixed commented line...

Revision 1.35  2004/12/10 10:36:38  krolik
- up to 2.0.2
- fixed Buffer Overflow problem in this release
- STBR

Revision 1.34  2004/07/11 21:29:33  adamg
- refresh config.sub; BuildRequires: automake

Revision 1.33  2004/07/11 21:20:11  adamg
- updated to 1.8.9
- added configure.patch

Revision 1.32  2004/06/08 07:27:53  paszczus
- reverted changes

Revision 1.30  2003/12/04 20:13:42  arekm
- updated to 1.8.1

Revision 1.29  2003/11/04 09:27:47  adamg
- updated to 1.8.0

Revision 1.28  2003/09/11 17:35:55  wrobell
- typo

Revision 1.27  2003/09/11 13:14:40  wrobell
- ver. 1.7.11

Revision 1.26  2003/05/28 14:24:39  adamg
- up to 1.7.8

Revision 1.25  2003/05/28 13:01:44  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:26:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/22 11:16:53  qboosh
- fixed+simplified prep

Revision 1.22  2003/04/21 10:15:32  migo
- version 1.7.5
- changed %prep to build from downloaded file
- release 0.1 NFY

Revision 1.21  2002/08/15 14:02:55  migo
- fix in polish description

Revision 1.20  2002/08/06 12:54:17  qboosh
- fixed broken Requires for chkconfig

Revision 1.19  2002/08/06 12:45:24  kloczek
- cosmetics.

Revision 1.18  2002/08/06 11:08:27  qboosh
- updated to 1.5.4 (most of work done by Michal Abramowicz <abraam at
  cs.net.pl>)
- cleanups, new doc

Revision 1.17  2002/04/02 19:12:17  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 2

Revision 1.16  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/23 10:46:49  migo
- updated to 1.4.0
- get source tar.gz from repo

Revision 1.13  2002/01/18 02:14:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/17 04:27:42  kloczek
- cosmetics.
NOTRE: seems latest is 1.3.7.

Revision 1.11  2002/01/16 17:43:06  migo
- more proper attributes for config file
- added log file to package
- cleanups
- release 0.2

Revision 1.10  2002/01/09 17:30:07  migo
- use modified samhainrc

Revision 1.9  2002/01/07 19:04:49  migo
- updated to 1.3.5
- various fixes and cleanups
- NFY

Revision 1.8  2001/09/22 20:51:08  grzegorz
- added Prereq: chkconfig

Revision 1.7  2001/09/21 08:41:06  grzegorz
- added pl summary and description
- release 0.3

Revision 1.6  2001/09/20 21:47:45  grzegorz
- added -9nf to gzip

Revision 1.5  2001/09/20 21:22:06  grzegorz
- added install -d with %%{_initdir} and %%{_logdir}

Revision 1.4  2001/09/20 20:48:39  grzegorz
- added Source1 PLD style init
- added %%post and %%preun
- reverting release back to 0.2
- not finished

Revision 1.3  2001/09/20 20:22:40  grzegorz
- changed group
- added %%{_logdir}
- release 1

Revision 1.2  2001/09/20 20:12:11  grzegorz
- updated to 1.2.6
- added DESTDIR patch
- added dontstrip patch (i don't know how to disable stripping by rpm so
  i disable stripping by make)
- %%configure2_13 becouse i don't know how to make it work with ac2.5x
- built but i don't test it
- todo: --with-khide but this depend on running kernel version not in /usr/src/linux

Revision 1.1  2001/06/27 08:03:53  grzegorz
- initial SPEC, not ready %install
